Scilab Function

testmatrix - génération de matrices remarquables

### Calling Sequence

  `[y]=testmatrix(name,n)`

### Parameters

- `name` : chaîne de caractères
- `n` : entier
- `y` : matrice `n` x `n`

### Description

Génère certaines matrices carrées particulières.

  testmatrix('magi',n) : renvoie un carré magique de taille `n` .
  testmatrix('frk',n) : renvoie la matrice de Franck :
  testmatrix('hilb',n) : renvoie l'inverse de la matrice de Hilbert de taille n x n `(Hij= 1/(i+j-1))` .